Skip to main content
GET
/
api
/
v1
/
invoice_batches
List invoice batches
curl --request GET \
  --url https://staging.app.yofacturo.es/api/v1/invoice_batches \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "external_batch_id": "<string>",
      "status": "<string>",
      "invoices_count": 123,
      "received_at": "2023-11-07T05:31:56Z",
      "processed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "current_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "per_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yofacturo.es/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Paginated list of invoice batches

data
object[]
required
meta
object
required